/* conf.c إåե
 * 09/30 2000
 * shige
 * conf.h
 *
 * $Id: conf.h,v 1.7 2003-12-22 21:31:31+09 shige Exp $
 */
#ifndef __CONF_H__
#define __CONF_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "error.h"

/* ##### conf.c ##### */
#ifdef __CONF_C__
#define Confcomment '#'

#define Pathlistdelimiter ':'
#define Maxpathlists 100
#define Maxpathlen 8192
char *pathlist[Maxpathlists];
int pathlistnum=0;

#define Extlistdelimiter ':'
#define Maxextlists 20
#define Maxextlen 20
char extlist[Maxextlists][Maxextlen];
int extlistnum=0;

#define Confdelimiter " \t\n"
#define Maxbuff 8192

#define Pathdelimiter '/'
#define Homechar '~'

char *HOME=NULL;

char *undefs=NULL;
char *NULLFname=NULL;

/* ##### defined in auconn.h ##### */
extern int verbose;
extern int listonly;
extern char *DEFAULTPathlist;
extern char *DEFAULTExtlist;
extern char *DEFAULTConffname;
extern char *DEFAULTPathEnvname;
extern char *DEFAULTExtEnvname;
extern char *DEFAULTNULLFEnvname;
extern double Mintimes;
#endif /* __CONF_C__ */

#ifdef __CONF_C__
# define EXTERN_CONF 
#else
# define EXTERN_CONF extern 
#endif

EXTERN_CONF int initpathextlist(char *env[]);
EXTERN_CONF int addstr2pathlist(char *str);
EXTERN_CONF int addstr2extlist(char *str);
EXTERN_CONF int addenv2pathlist(char *env[]);
EXTERN_CONF int addenv2extlist(char *env[]);
EXTERN_CONF int getenv2nullfname(char *env[]);
EXTERN_CONF int addfile2list(char *fname);
EXTERN_CONF int inithome(char *env[]);
EXTERN_CONF char *newfname(char *fname);
EXTERN_CONF FILE *fopenpathlist(char *fname);
EXTERN_CONF char *mystrtok(char *str,char c);
EXTERN_CONF char *mystrcat(char *str,char c);
EXTERN_CONF int iswithpath(char *filename);

#ifdef DEBUG4
EXTERN_CONF void putallpathlist(void);
EXTERN_CONF void putallextlist(void);
#endif

#endif /* __CONF_H__ */
